c /ngslib/source/Geoid/Intg/SCCS/s.expform.f
c ---------------------------------------------------------------
c
      subroutine expform
ccccccccccccccccccccccccccccccccccccccccccccccccccc
c - Subroutine to print an explanation of the various 
c - formats to the screen.
ccccccccccccccccccccccccccccccccccccccccccccccccccc
      character*80 SCCSID
      character*1  keyb
      integer      iformx

ccccccccccccccccccccccccccccccccccccccccccccccccccc
c - Find out which format needs explaining
ccccccccccccccccccccccccccccccccccccccccccccccccccc
      SCCSID="@(#)expform.f	1.3	2009/03/10 NGS"

    2 write(6,1)
    1 format(/,1x,70('-'),/,
     * ' Which format would you like explained? ',//,
     *       '  1 = Free Format (For Geoid) Type 1',/,
     *       '  2 = Free Format (For Geoid) Type 2',/,
     *       '  3 = NGS Blue Book Format',//,
     *       '  0 = End Program',/,
     *       ' 99 = Return me to the main program',//,
     *       ' -> ',$)
      read(5,*)iformx
      if(iformx.eq.0)stop

      if(iformx.eq.99)return

ccccccccccccccccccccccccccccccccccccccccccccccccccc
c - Explain Free Format (For Geoid) Type 1
ccccccccccccccccccccccccccccccccccccccccccccccccccc 
      if(iformx.eq.1)then

        write(6,3)
    3   format(/,1x,70('-'),/,
     *   ' 1 = Free Format (For Geoid) Type 1 : ',/,
     *   ' This is an ASCII format, where the first 40 characters',/,
     *   ' of each record may contain the station name or be blank.',/,
     *   ' The rest of the record (characters 41-80) must contain',/,
     *   ' the latitude and longitude in one of three formats: ',/,
     *   '   (a) decimal/integer degrees',
     *   ' (two numbers)',/,
     *   '   (b) integer degrees,  decimal/integer minutes',
     *   ' (four numbers)',/,
     *   '   (c) integer degrees, integer minutes, decimal/integer',
     *   ' seconds',
     *   ' (six numbers)',/,
     *   ' The longitude sign convention used is specified',/,
     *   ' by the user during the running of this program.',/,
     *   ' The latitude sign convention is assumed positive North.',/,
     *   ' South latitudes',
     *   ' may be expressed with a negative symbol (hyphen)',/,
     *   ' in front of the latitude degrees.',/,
     *   ' Do not have a space',
     *   ' between the negative symbol and the number.',/,
     *   ' Use only spaces, not tabs or other whitespace symbols.',//

     *   10x,'               (Hit RETURN to continue)')
         read(5,'(a)')keyb  
     

        write(6,4)
    4   format(/,' EXAMPLES:',/
     *   ' The following records are examples of acceptable input:',//,
     *   40x,'<------------ Columns 41-80 ----------->' ,/,
     *   'BM1027',34x,'50 285',/,
     *   'XX8063',34x,'        45.3 282',/,
     *   16x,'AIRPORT SC1',13x,'  47 18.55 252 14',/,
     *   40x,'30 17 270 59',/,
     *   10x,'CORNER MARKER',17x,'48 14 17 239 52 18.753',/,
     *   'DATA PT #4077',27x,'  42 42 42.4242 255 55 55.55555',/,
     *   'SAMOA BEACH',29x,'-13 49 50.03964   171 45 20.01753',//,
     *   10x,'               (Hit RETURN to continue)')
         read(5,'(a)')keyb  
     
   
        goto 2
      endif  
 
ccccccccccccccccccccccccccccccccccccccccccccccccccc
c - Explain Free Format (For Geoid) Type 2
ccccccccccccccccccccccccccccccccccccccccccccccccccc 
      if(iformx.eq.2)then

        write(6,5)
    5   format(/,1x,70('-'),/,
     *   ' 2 = Free Format (For Geoid) Type 2 : ',/,
     *   ' This is an ASCII format, where the last 40 characters',/,
     *   ' of each record may contain the station name or be blank.',/,
     *   ' The first 32 characters of the record (characters 1-32)',/,
     *   ' must contain the latitude and longitude in one of three',/,
     *   ' formats:',/,
     *   '   (a) decimal/integer degrees',
     *   ' (two numbers)',/,
     *   '   (b) integer degrees,  decimal/integer minutes',
     *   ' (four numbers)',/,
     *   '   (c) integer degrees, integer minutes, decimal/integer',
     *   ' seconds',
     *   ' (six numbers)',/,
     *   ' The longitude sign convention used is specified',/,
     *   ' by the user during the running of this program.',/,
     *   ' The latitude sign convention is assumed positive North.',/,
     *   ' South latitudes',
     *   ' may be expressed with a negative symbol (hyphen)',/,
     *   ' in front of the latitude degrees.',/,
     *   ' Do not have a space',
     *   ' between the negative symbol and the number.',/,
     *   ' Use only spaces, not tabs or other whitespace symbols.',//,
     *   10x,'               (Hit RETURN to continue)')
         read(5,'(a)')keyb  

        write(6,6)
    6   format(/,' EXAMPLES:',/
     *   'The following records are examples of acceptable input:',//,
     *   '<-------- Columns 1-32 -------->',/,
     *   '50 285',26x,'BM1027',/,
     *   '         45.3 282',15x,'XXX8063',/,
     *   '  47 18.55 252 14',31x,'AIRPORT SC1',/,
     *   '30 17 270 59',/,
     *   '48 14 17 239 52 18.753',20x,'CORNER MARKER',/,
     *   '  42 42 42.4242 255 55 55.55555',1x,'DATA PT #4077',/,
     *   '-13 49 50.03964 171 45 20.01753',5x,'SAMOA BEACH',//,
     *   10x,'               (Hit RETURN to continue)')
         read(5,'(a)')keyb  

        goto 2
      endif

ccccccccccccccccccccccccccccccccccccccccccccccccccc
c - Explain NGS Blue Book Format
ccccccccccccccccccccccccccccccccccccccccccccccccccc 
      if(iformx.eq.3)then

        write(6,7)
    7   format(/,1x,70('-'),/,
     *   ' 3 = NGS Blue Book Format : ',/)

        WRITE (6,510)
  510   FORMAT (' NGS Blue Book format - *80*',
     +          ' (Control Point) and *86* (Combo Height) Records.'/,
     +          ' INTG uses information from the',
     +                   ' *80* and *86* records in Blue Book files.',/,
     +          ' The Station Serial Number (SSN), the',
     +                                 ' latitude and the longitude', /,
     +          ' are read from the *80* records, the rest of the',
     +                               ' record is ignored.  ', /,
     +          ' Only the *86* record is modified by INTG - the *80*',
     +                          ' records and all other ')
        WRITE (6, 511)
  511   FORMAT (' records are passed through without change to the',
     +                              ' output file.',/,
     +          ' Any *84* records are deleted.', /,
     +          ' Information in columns 36-43 in the *86*', 
     +                         ' record is created by INTG. ',/)

        WRITE (6, 520)
  520   FORMAT (' For more information on this format,',
     +                                           ' please refer to:', /,
     +          '   ''Input Formats and Specifications of the',
     +                       ' National Geodetic Survey Data Base''', /,
     +          '   ''Volume 1. Horizontal Control Data''.', /,
     +          ' Published by the Federal Geodetic Control Committee',
     +                                       ' in September 1994 and', /,
     +          ' available from: the National Geodetic Survey, NOAA,',
     +                                 ' Silver Spring, MD 20910.', //,
     *   10x,'               (Hit RETURN to continue)')
         read(5,'(a)')keyb  

        WRITE (6, 530)
  530   FORMAT (' The following input example is *80* and *86* records',
     +                                   ' from a Blue Book', /,
     +          ' file:', //,
     +          '004560*80*0096KNOXVILLE CT HSE              ',
     +                        '411906578  N0930548534  W 277  MIA33', /,
     +          '004565*86*0096 any geoid values in here     ',
     +                        'will be overwritten if ssn matches   ',//,
     *   10x,'               (Hit RETURN to continue)')
         read(5,'(a)')keyb  



        goto 2
      endif

      end 
c
