c
c ---------------------------------------------------------------
c
      subroutine val(card,it,iv,xv)
ccccccccccccccccccccccccccccccccccccccccccccccccccc
c - Subroutine to return the value of a character
c - string as either an integer (iv) or a
c - real (xv), with "it" telling which value
c - to use (it = 0 means int, it=1 means real)
c - This subroutine is included to alleviate
c - the trouble that old compilers have in
c - doing simple character manipulations
c - For now, it is assumed that NO BLANKS
c - come through in card...only numbers (0-9)
c - and maybe ONE decimal, and maybe ONE
c - leading negative sign(in the leftmost
c - character).
ccccccccccccccccccccccccccccccccccccccccccccccccccc
      character*80  SCCSID
      character*(*) card

      integer*4 it
      integer*4 iv
      integer    il
      integer    idec
      integer    iscale
      integer    ifirst
      integer    ii
      integer    isum
      integer    iexp
      integer    iiexp
      integer    idum

      real*8    xv
      real*8    xsum

      SCCSID="@(#)val.f   	1.1	2004/01/16 NGS"

      il = len(card)

      iv = -999
      xv = -999.d0
   
      idec = -1

c - Determine if the number is negative
      if(card(1:1).eq.'-')then
        iscale = -1
        ifirst =  2
      else
        iscale = +1
        ifirst = 1
      endif
        
c - Determine if there is a decimal point, and if
c - so, where it falls in the character.
      do 1 ii=ifirst,il
        if(card(ii:ii).eq.'.')then
          if(idec.eq.-1)then
            idec = ii 
          else
            stop 'bad value in val'
          endif
        endif
    1 continue

c - Interpret the integer, and make pos/neg as needed
      if(idec.eq.-1)then
        isum = 0
        it   = 0
        do 2 ii=ifirst,il
          iexp = (il-ii)
          read(card(ii:ii),'(i1)')idum
          isum = isum + idum * 10**iexp
    2   continue
        iv = isum
        iv = iv * iscale

c - Interpret the real, and make pos/neg as needed
      else
        xsum = 0.d0
        it = 1

c - Real left of decimal
        do 3 ii=ifirst,idec-1
          iexp = (idec-1)-ii
          read(card(ii:ii),'(i1)')idum
          xsum = xsum + idum * 10**iexp
    3   continue 

c - Real right of decimal
        do 4 ii=idec+1,il   
          iexp = (idec  )-ii
          read(card(ii:ii),'(i1)')idum
          iiexp = -iexp
          xsum = xsum + dble(idum) / 10**(iiexp)
    4   continue
        xv = xsum 
        xv = xv * iscale

      endif
      return
      end
